#ifndef ERRORCODESTATEITEM_H
#define ERRORCODESTATEITEM_H

#include <QObject>

class ErrorCodeStateItem : public QObject
{
    Q_OBJECT
public:
    explicit ErrorCodeStateItem(QObject *parent = 0);

    ~ErrorCodeStateItem();

public:
    ErrorCodeStateItem(const ErrorCodeStateItem & item);
    ErrorCodeStateItem & operator= (const ErrorCodeStateItem & item);

public:
    void clean();

private:
    void copyData(const ErrorCodeStateItem & item);

public:
    unsigned int m_code;             // 代码
    QString m_name;     // 代码对应的名称

signals:

public slots:
};

#endif // ERRORCODESTATEITEM_H
